Subject: Re: bug#5054: 23.1.50; buffer-menu truncated fields

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Jan 2010 22:12:40 -0500

> Yes, and the only reasonable way to fix this weirdness is to do what
> other similar Emacs commands do (e.g. `compile' and `grep'): first display
> the output buffer, and later when the formatted output is ready, put it
> to this buffer.

I've been using a local hack which causes the *man...* buffers to be
displayed early rather than late.  The main reason was to avoid
interrupting me with a new frame at some random time in the future.

So I'd welcome such a change.  My local hack isn't installable as is:
the output shown temporarily in the buffer is rather ugly (because the
buffer first gets an unprocessed output and then cleans it up and adds
faces.  Usually the intermediate ugly states are not shown, but after my
change, they are).

        Stefan